std::future_error Class Reference
Futures | Exceptions
Inheritance diagram for std::future_error:
[legend]

## Public Member Functions

| future_error (error_code __ec)
const error_code & | code () const noexcept
virtual const char * | what () const noexcept

## Detailed Description

Exception type thrown by futures.

Definition at line 94 of file future.

## Member Function Documentation

virtual const char* std::future_error::what | ( |  | ) | const

virtualnoexcept

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::logic_error.

The documentation for this class was generated from the following file:

- future